
QGIS Application - Bug report #17334

QGIS 2.99 - adding ArcGIS Map Server Layer crashed

2017-10-26 08:14 AM - Jadwiga Trojak

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: Web Services clients/ArcGIS

Affected QGIS version:master Regression?: Yes

Operating System: Windows 7 Professional 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25231

Description

User Feedback

I want to add new ArcGIS Map Server Layer, and it crashed when saving new server connction.

Report Details

Crash ID: 3dfdb8bd4f9c8b9b6be13ed5e57ad05c8f6e0c6c

Stack Trace

(qgis_gui) QgsRendererPropertiesDialog::layerVariablesChanged (unknown file):(unknown line)

(qgis_gui) QgsRendererPropertiesDialog::layerVariablesChanged (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_gui) QgsRendererPropertiesDialog::layerVariablesChanged (unknown file):(unknown line)

(qgis_gui) QgsRendererPropertiesDialog::layerVariablesChanged (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_gui) QgsRendererPropertiesDialog::layerVariablesChanged (unknown file):(unknown line)

(arcgismapserverprovider) dataItem (unknown file):(unknown line)

(arcgismapserverprovider) dataItem (unknown file):(unknown line)

(arcgismapserverprovider) dataItem (unknown file):(unknown line)

(arcgismapserverprovider) dataItem (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::clicked (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLocatorModel::flags (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLocatorModel::flags (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)
(USER32) TranslateMessageEx (unknown file):(unknown line)

(USER32) TranslateMessage (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Widgets) QDialog::exec (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAction::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QToolButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLocatorModel::flags (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLocatorModel::flags (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) TranslateMessageEx (unknown file):(unknown line)

(USER32) TranslateMessage (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

(qgis_app) QgisApp::showSelectedLayers (unknown file):(unknown line)

(kernel32) BaseThreadInitThunk (unknown file):(unknown line)

(ntdll) RtlUserThreadStart (unknown file):(unknown line)

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:32131527bc

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2017-10-26 09:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

Can you post an URL?

the same works fine on 2.18?
#2 - 2017-10-26 11:06 AM - Andreas Neumann

I don't think this is related to ArcGIS map server.

Pretty much all service connections currently crash, when adding a new connection: WMS, WFS, Postigs - probably also WCS.

There is some bad bug in the combined "Add Map Layer" function (or elsewhere according to Alessandro) - see also #17279-6

Pretty much certain that this is the same cause.

#3 - 2017-11-07 12:02 PM - Alessandro Pasotti

Can you please check if this issue has been solved with latest commits on master?

#4 - 2018-01-24 09:18 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing due to lack of feedback
